sgtnasty Feb 16, 2013 @ 5:59am
Linux, game wont run.
When I try via command line i get:

Error loading Python lib '/home/ronaldo/.local/share/Steam/SteamApps/common/Unity of Command/bin/libpython2.7.so.1.0': /lib/i386-linux-gnu/i686/cmov/libc.so.6: version `GLIBC_2.15' not found (required by /home/ronaldo/.local/share/Steam/SteamApps/common/Unity of Command/bin/libpython2.7.so.1.0)
zsh: segmentation fault ./bin/uoc

Am I missing some package?
Showing 1-5 of 5 comments
< >
Superarf64plusturboCD Jun 28, 2014 @ 5:40pm 
im having the same issue. Debian Wheezy
doom-o-matic Aug 26, 2014 @ 3:05am 
Same problem with Debian Wheezy. Disabling the overlay as suggested in the pinned post also didn't help.
tomislav.uzelac  [developer] Aug 26, 2014 @ 11:25am 
This Debian shipped with an older version of glibc for some reason. I can't see how to fix this quickly. The following workaround seems to work for me:

1. Start Steam

2. Run the game from the command line like this (all in one line):

LD_PRELOAD=$(echo \"$(ls -m /usr/lib/steam/i386-linux-gnu/*.so | tr "," " ")\") ~/.local/share/Steam/SteamApps/common/Unity\ of\ Command/bin/uoc
Last edited by tomislav.uzelac; Aug 28, 2014 @ 8:33am
tomislav.uzelac  [developer] Aug 28, 2014 @ 8:33am 
If you've tried the above method, please report if it works for you.

Thx!
doom-o-matic Aug 28, 2014 @ 8:39am 
it works!
Showing 1-5 of 5 comments
< >
Per page: 15 30 50